import fs from 'fs';
import yaml from 'yaml';
const { readFile } = fs.promises;
export async function loadOpenapi(openapiFilePath) {
    const openapiFileContent = await readFile(openapiFilePath, 'utf-8');
    try {
        return JSON.parse(openapiFileContent);
    }
    catch {
        return yaml.parse(openapiFileContent);
    }
}
